
/**
 *
 * @class ChordApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Cms.ChordApp = $angularModule('ChordApp', ['ui.router', 'ng-route-api', 'content-loader']);

}).call(this);


/**
 * Chords App
 * Chords Controller
 *
 * @class ChordApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Cms.ChordApp.controller("ChordController", [
    '$scope', '$window', 'routeApi', function($scope, $window, $routeapi) {
      var ChordController;
      ChordController = (function() {

        /*
         * Controller Initializer
         */
        function ChordController() {
          var url;
          $scope.loading = true;
          url = $window.Routes.GetCollection;
          url += '?search-token=' + $str_random(32);
          $routeapi.send(url, {}, 'POST').then(function(response) {
            $scope.chords = response.data;
            $scope.loading = false;
            console.log('chords', $scope.chords);
          });
          return;
        }

        return ChordController;

      })();
      return new ChordController();
    }
  ]);

}).call(this);
