
/**
 * App
 *
 */

(function() {
  window.Cms.SettingApp = $angularModule('SettingApp', ['ng-filter', 'ng-route-api', 'ui.bootstrap', 'content-loader']);

}).call(this);


/**
 * Category Controller
 * @class Controller
 */

(function() {
  window.Cms.SettingApp.controller("SettingController", [
    '$scope', '$window', '$timeout', 'routeApi', function($scope, $window, $timeout, $routeapi) {
      var SettingController;
      SettingController = (function() {
        function SettingController() {
          $scope.loading = true;
          $scope.error = {};
          $scope.forms = [];
          this.getdetails();
          return;
        }

        SettingController.prototype.getdetails = function() {
          var data;
          data = {
            type: $window.Vars.PageLoad,
            _id: $str_random()
          };
          return $routeapi.send($window.Routes.GetSettings, data, 'POST').then(function(response) {
            $scope.forms = response.data;
            return $scope.loading = false;
          });
        };


        /**
         *
         * @return submit
         */

        $scope.submit = function() {
          var data, url;
          data = {
            forms: $scope.forms
          };
          url = $window.Routes.UpdateSettings;
          $scope.onsubmit = true;
          $routeapi.send(url, data, 'POST').then(function(response) {
            var _data;
            _data = response.data;
            $scope.onsubmit = false;
            $scope.onsuccess = true;
          });
        };

        return SettingController;

      })();
      return new SettingController();
    }
  ]);

}).call(this);
