
/**
 * Contact App
 *
 * @class UserApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Front.ContactApp = $angularModule('ContactApp', ['ui.router', 'ng-route-api']);

}).call(this);


/**
 * ContactApp
 * Contact Controller
 *
 * @class UserApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Front.ContactApp.controller("ContactController", [
    '$scope', '$window', 'routeApi', '$q', '$timeout', function($scope, $window, $routeapi, $q, $timeout) {
      var ContactController;
      ContactController = (function() {
        function ContactController() {
          $scope.form = {
            name: '',
            email: '',
            message: ''
          };
          $scope.sendloading = false;
          $scope.thankyouprompt = false;
        }

        $scope.send = function() {
          $scope.sendloading = true;
          $routeapi.send($window.Routes.Send, $scope.form, 'POST').then(function(response) {
            var _data;
            _data = response.data;
            if ((_data != null ? _data.success : void 0) === false) {
              $scope.validate = _data.errors;
            } else {
              $scope.thankyouprompt = true;
              $timeout(function() {
                return $scope.thankyouprompt = false;
              }, 3000);
            }
            $scope.sendloading = false;
          });
        };

        return ContactController;

      })();
      return new ContactController();
    }
  ]);

}).call(this);
