<div class="box">
	<div class="box-body">
		
		<div class="main-content mar-top mar-0">

			<div class="content-label">
				@if ( @$input['search'] )
					<span><i class="fa fa-search"></i> Search:</span> {{ $input['search'] }}
				@else
					<span><i class="fa fa-star"></i> Latest Update</span>
				@endif
			</div>

			<div class="row">
				<div class="col-xs-12 content-list">
					<ul class="song-lists">

						@if( $artists->count() > 0 )
							@foreach($artists as $artist)
								<li>
									<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, $artist->slug) }}" class="song text-uppercase">{{ $artist->name }}</a>
									<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, $artist->slug) }}" class="artist no-content"><i class="fa fa-music"></i> Chords &amp; Tabs ({{ $artist->songs->count() }})</a>
								</li>
							@endforeach
						@else
							<li class="text-center">
								<a href="{{ JS_VOID }}" class="song text-uppercase">No record found.</a>
							</li>
						@endif

					</ul>

					<nav aria-label="Page navigation" class="text-center">
						{{ $artists->links() }}
					</nav>

				</div>

			</div>

		</div>

	</div>
	<!-- /.box-body -->
</div>