<div class="box">
	<div class="box-body">
		
		<div class="main-content mar-top mar-0">

			<div class="content-label">

				@if ( @$is_artist ) 
					<span><i class="fa fa-microphone"></i> Artist: {{ $artist->name }}</span>
				@else
					@if ( @$input['search'] )
						<span><i class="fa fa-search"></i> Search:</span> {{ $input['search'] }}
					@else
						<span><i class="fa fa-star"></i> Latest Update</span>
					@endif
				@endif

				@include($partial_path . 'sorting')
				
			</div>

			<div class="row">
				<div class="col-xs-12 content-list">
					<ul class="song-lists">

						@if( $songs->count() > 0 )
							@foreach($songs as $song)
								<li>
									<div class="row">
										<div class="col-xs-2">
											<a href="#">
												<img src="{{ @$song->thumbnail }}" class="img-responsive">
											</a>
										</div>
										<div class="col-xs-10 pad-left pad-4">
											<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, [$song->artist->slug, $song->slug]) }}" class="song text-uppercase">{{ $song->title }}</a>
											<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, $song->artist->slug) }}" class="artist no-content"><i class="fa fa-microphone"></i> {{ $song->artist->name }}</a>
											<a href="{{ JS_VOID }}" class="artist no-content">Version: {{ $song->version ?: 1 }}.0</a>
										</div>
									</div>
								</li>
							@endforeach
						@else
							<li class="text-center">
								<a href="{{ JS_VOID }}" class="song text-uppercase">No record found.</a>
							</li>
						@endif

					</ul>

					<nav aria-label="Page navigation" class="text-center">
						{{ $songs->links() }}
					</nav>

				</div>

			</div>

		</div>

	</div>
	<!-- /.box-body -->
</div>