@extends('theme::layouts.master')

@section('content')

	@include($partial_path . 'search', [ 'route' => ROUTE_FRONT_HOME_SEARCH, 'label' => '', 'ishome' => true ])
		
	<div class="container-content">
		
		<div class="row">
			<div class="col-md-8 col-lg-8">
				
				<h2 class="mar-no pad-bottom">Welcome to {{ $settigs_general['name'] }}</h2>
				<p>{{ nl2br($settigs_general['description']) }}</p>

				<!-- Your Ad Here -->
				@include($partial_path . 'ad-728x90')

				@include($view_path . 'partials.content')


			</div>
			<div class="col-md-4 col-lg-4">

				@include($partial_path . 'side-social')

				@include($view_path . 'partials.side')

				@include($partial_path . 'ad-336x280')
				
			</div>
		</div>

	</div>
    

@endsection