
<header class="main-header">
    <nav class="navbar navbar-static-top">
        <div class="container">
            <div class="navbar-header">
                <a href="{{ route(ROUTE_FRONT_HOME_INDEX) }}" class="navbar-brand">
                    @if ( $settigs_general['logo'] )
                        <img src="{{ $settigs_general['logo'] }}" class="navimg">
                    @endif
                    {{ $settigs_general['shortname'] }}
                </a>
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
                    <i class="fa fa-bars"></i>
                </button>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse pull-left" id="navbar-collapse">
                <ul class="nav navbar-nav">
                    <li class="{{ url_active(ROUTE_FRONT_HOME_INDEX) }}">
                        <a href="{{ route(ROUTE_FRONT_HOME_INDEX) }}">
                            <i class="fa fa-home"></i> Home
                        </a>
                    </li>
                    <li class="{{ url_active(ROUTE_FRONT_CHORDS_INDEX) }}">
                        <a href="{{ route(ROUTE_FRONT_CHORDS_INDEX) }}">
                            <i class="fa fa-music"></i> Chords &amp; Tabs
                        </a>
                    </li>
                    <li class="{{ url_active(ROUTE_FRONT_ARTISTS_INDEX) }}">
                        <a href="{{ route(ROUTE_FRONT_ARTISTS_INDEX) }}">
                            <i class="fa fa-microphone"></i> Artists
                        </a>
                    </li>
                </ul>
            </div>
            <!-- /.navbar-collapse -->
            <!-- Navbar Right Menu -->
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <!-- Tasks Menu -->
                    <li>
                        <!-- Menu Toggle Button -->
                        <a href="{{ route('about') }}">
                            <i class="fa fa-bookmark-o"></i>
                        </a>
                    </li>
                    <li>
                        <!-- Menu Toggle Button -->
                        <a href="{{ route(ROUTE_FRONT_CONTACT_INDEX) }}">
                            <i class="fa fa-phone"></i>
                        </a>
                    </li>
                    <li>
                        <!-- Menu Toggle Button -->
                        <a href="{{ route(ROUTE_FRONT_RSS_INDEX) }}">
                            <i class="fa fa-rss"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <!-- /.navbar-custom-menu -->
        </div>
        <!-- /.container-fluid -->
    </nav>
</header>