<div class="box">
	<div class="box-body">
		
		<div class="main-content">

			<div class="content-label">
				<span><i class="fa fa-music"></i> Latest Update</span>
			</div>

			<div class="row">

				@if($songs)
					@foreach($songs as $chords)
						<div class="col-sm-6 content-list">
							<ul class="song-lists">
								@foreach($chords as $chord)
									<li>
										<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, [$chord['artist']['slug'], $chord['slug']]) }}" class="song">{{ $chord['title'] }}</a>
										<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, $chord['artist']['slug']) }}" class="artist">{{ $chord['artist']['name'] }}</a>
									</li>
								@endforeach
							</ul>
						</div>
					@endforeach
				@else
					<div class="col-sm-12 content-list">
						<ul class="song-lists">
							<li>
								<a href="#" class="song">No record found.</a>
							</li>
						</ul>
					</div>
				@endif

			</div>


			@if($videos)

				<div class="row video-lists">
					@foreach( $videos as $video )
						<div class="video-content-list col-xs-6 col-sm-4 col-md-3">
							<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, [$video['artist']['slug'], $video['slug']]) }}">
								<img src="{{ $video['thumbnail'] }}" class="img-responsive">
								<div class="title">{{ $video['title'] }}</div>
							</a>
						</div>
					@endforeach
				</div>

			@endif


		</div>

	</div>
	<!-- /.box-body -->
</div>