<?php

namespace Composers\Cms;

/**
 * CMS Common View Composer
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\Session;

class Common {

    public function compose($view)
    {   
        $this->getCmsAdminInfo();
    }


    /**
    * getCmsAdminInfo()
    * Get Session for Cms/Backend
    *
    * @return void
    * @access  private
    **/
    private function getCmsAdminInfo()
    {
        $cmsadmininfo = Session::get(SESSION_CMS_USERINFO);
        View::share('admininfo', $cmsadmininfo);
    }
}