<?php

/* 
 * ********************
 * 		  FRONT
 * ********************
 */
// COMMON
defined('ROUTE_ASSET_FILE_URL')  or define('ROUTE_ASSET_FILE_URL',  'route.asset');

// HOME PAGE

defined('ROUTE_FRONT_HOME_INDEX')  or define('ROUTE_FRONT_HOME_INDEX',  'route.front.home.index');
defined('ROUTE_FRONT_HOME_SEARCH') or define('ROUTE_FRONT_HOME_SEARCH', 'route.front.home.search');

// SONGS
defined('ROUTE_FRONT_SONG_INDEX') or define('ROUTE_FRONT_SONG_INDEX', 'route.front.songs.index');

// CHORDS
defined('ROUTE_FRONT_CHORDS_INDEX')   	  or define('ROUTE_FRONT_CHORDS_INDEX',  	  'route.front.chords.index');
defined('ROUTE_FRONT_CHORDS_ARTIST_SONG') or define('ROUTE_FRONT_CHORDS_ARTIST_SONG', 'route.front.artists.artist.song');
defined('ROUTE_FRONT_RSS_INDEX') or define('ROUTE_FRONT_RSS_INDEX', 'route.front.rss.index');

// ARTISTS
defined('ROUTE_FRONT_ARTISTS_INDEX')  or define('ROUTE_FRONT_ARTISTS_INDEX', 'route.front.artists.index');


// CONTACT US
defined('ROUTE_FRONT_CONTACT_INDEX') or define('ROUTE_FRONT_CONTACT_INDEX', 'route.front.contact.index');
defined('ROUTE_FRONT_CONTACT_SEND')  or define('ROUTE_FRONT_CONTACT_SEND', 'route.front.contact.send');


/* 
 * ********************
 * 	   CMS/BACKEND
 * ********************
 */

// USER AUTH
defined('ROUTE_USER_INDEX') 	or define('ROUTE_USER_INDEX', 	  'route.user.index');
defined('ROUTE_USER_LOGIN')  	or define('ROUTE_USER_LOGIN', 	  'route.user.login');
defined('ROUTE_USER_LOGOUT')  	or define('ROUTE_USER_LOGOUT', 	  'route.user.logout');
defined('ROUTE_USER_POST_AUTH') or define('ROUTE_USER_POST_AUTH', 'route.user.auth');


// DASHBOARD
defined('ROUTE_CMS_DASHBOARD_INDEX') or define('ROUTE_CMS_DASHBOARD_INDEX', 	  'route.cms.dashboard.index');


// PROFILE
defined('ROUTE_CMS_PROFILE_INDEX') 		 or define('ROUTE_CMS_PROFILE_INDEX', 		'route.cms.profile.index');
defined('ROUTE_CMS_PROFILE_INFORMATION') or define('ROUTE_CMS_PROFILE_INFORMATION', 'route.cms.profile.information');
defined('ROUTE_CMS_PROFILE_UPDATE') 	 or define('ROUTE_CMS_PROFILE_UPDATE', 	    'route.cms.profile.update');


// SETTINGS
defined('ROUTE_CMS_SETTING_INDEX') 	 	      or define('ROUTE_CMS_SETTING_INDEX', 			  'route.cms.setting.index');
defined('ROUTE_CMS_SETTING_GENERALS')         or define('ROUTE_CMS_SETTING_GENERALS',		  'route.cms.setting.generals');
defined('ROUTE_CMS_SETTING_SOCIAL')           or define('ROUTE_CMS_SETTING_SOCIAL', 		  'route.cms.setting.social');
defined('ROUTE_CMS_SETTING_COMMENT_PLUGINS')  or define('ROUTE_CMS_SETTING_COMMENT_PLUGINS',  'route.cms.setting.comment.manager');
defined('ROUTE_CMS_SETTING_GOOGLE_ANALYTICS') or define('ROUTE_CMS_SETTING_GOOGLE_ANALYTICS', 'route.cms.setting.collections');
defined('ROUTE_CMS_SETTING_DETAILS') 		  or define('ROUTE_CMS_SETTING_DETAILS', 		  'route.cms.setting.details');
defined('ROUTE_CMS_SETTING_UPDATE') 		  or define('ROUTE_CMS_SETTING_UPDATE', 		  'route.cms.setting.update');

// ARTISTS
defined('ROUTE_CMS_ARTIST_INDEX') 		or define('ROUTE_CMS_ARTIST_INDEX', 	  'route.cms.artist.index');
defined('ROUTE_CMS_ARTIST_SUBMIT_FORM') or define('ROUTE_CMS_ARTIST_SUBMIT_FORM', 'route.cms.artist.submit.form');
defined('ROUTE_CMS_ARTIST_COLLECTION')  or define('ROUTE_CMS_ARTIST_COLLECTION',  'route.cms.artist.collection');
defined('ROUTE_CMS_ARTIST_DELETE')  	or define('ROUTE_CMS_ARTIST_DELETE',  	  'route.cms.artist.delete');

// CHORDS
defined('ROUTE_CMS_CHORDS_INDEX') 		or define('ROUTE_CMS_CHORDS_INDEX', 	  'route.cms.chords.index');
defined('ROUTE_CMS_CHORDS_COLLECTION') 	or define('ROUTE_CMS_CHORDS_COLLECTION',  'route.cms.chords.collection');

// SONGS
defined('ROUTE_CMS_SONG_INDEX') 	  or define('ROUTE_CMS_SONG_INDEX', 	   'route.cms.songs.index');
defined('ROUTE_CMS_SONG_ARTISTS') 	  or define('ROUTE_CMS_SONG_ARTISTS', 	   'route.cms.songs.artists');
defined('ROUTE_CMS_SONG_SUBMIT_FORM') or define('ROUTE_CMS_SONG_SUBMIT_FORM',  'route.cms.songs.submit.form');
defined('ROUTE_CMS_SONG_COLLECTION')  or define('ROUTE_CMS_SONG_COLLECTION',   'route.cms.songs.collection');
defined('ROUTE_CMS_SONG_MULTI_SCRAP') or define('ROUTE_CMS_SONG_MULTI_SCRAP',  'route.cms.songs.multi.scrap');
defined('ROUTE_CMS_SONG_DELETE')  	  or define('ROUTE_CMS_SONG_DELETE',  	   'route.cms.songs.delete');
defined('ROUTE_CMS_SONG_SCRAP_URL')   or define('ROUTE_CMS_SONG_SCRAP_URL',    'route.cms.songs.scrap.url');
