<?php

namespace Models\System;

/**
 * Setting Class
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Model\Base\BaseModel;
use Eloquent;

class Setting extends BaseModel  {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'settings';

    protected $fillable = [
        'code',
        'label',
        'type',
        'value',
    ];

}