@extends('cms.layouts.master')

@section('title')
    <h1>Chords Collection</h1>
@endsection

@section('breadcrumb')
    <ol class="breadcrumb">
        <li><a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Chords</li>
    </ol>
@endsection

@section('content')
    <div ng-app="ChordApp" ng-controller="ChordController">
        <div class="row">
            <div class="col-md-12" ng-cloak>
                
                <div class="box box-primary min-height" content-loader="loading">
                
                	<div class="table-responsive">
                		<table class="table table-hover table-striped table-bordered">
                			<tbody>
	                			<tr ng-repeat="chord in chords track by $index">
	                				<td align="center">
	                					<small><strong>@{{ chord.key }}</strong></small>
	                				</td>
	                				<td ng-repeat="child in chord.childs track by $index" align="center">
	                					<small><strong>@{{ child.key }}</strong></small>
	                				</td>
	                			</tr>
                			</tbody>
                		</table>
                	</div>

                </div>

            </div>
        </div>

    </div>
@endsection

@section('js')
    <script type="text/javascript">
        window.Routes = {
            GetCollection : '{{ route(ROUTE_CMS_CHORDS_COLLECTION) }}',
        }
    </script>
    <!-- Angular User Login -->
    <script src="{{ build_asset('cms/js/ng-chords.js') }}"></script>
@stop