
<div>

    <div class="box-body min-height">

        <div class="row">
            <div class="col-xs-12">
                <small>:: Minimum of 3 Character</small>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-search"></i></span>
                    <input type="text" class="form-control" placeholder="Ultimate-Guitar.com Search" ng-model="scrapsearch">
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-danger" style="height: 34px;" ng-disabled="scrapsearch.length < 3" ng-click="getMultiScrap(1, true)">
                            <i class="fa fa-search"></i> Search
                        </button>
                    </span>
                </div>
            </div>
        </div>

        <div class="table-responsive mar-top">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th width="10">#</th>
                        <th>Artist</th>
                        <th>Song</th>
                        <th>Type</th>
                        <th width="125">Action</th>
                    </tr>
                </thead>

                <tbody>
                    <tr ng-repeat="song in scrapsongs[scrappaging.current] track by $index">
                        <td>@{{ scrappaging.total + $index + 1 }}.</td>
                        <td>@{{ song.artist }}</td>
                        <td>
                            <span ng-if="!song.href" style="text-decoration: line-through;"> @{{ song.title | str_limit:60 }} </span>
                            <a href="@{{ song.href }}" ng-if="song.href" target="_blank">
                                <i class="fa fa-info-circle" style="color: #00a65a;" ng-if="song.exists" tooltip="Song Already Exists"></i>
                                <strong ng-if="song.exists" style="color: #00a65a;">@{{ song.title }}</strong>
                                <span ng-if="!song.exists">@{{ song.title }}</span>
                            </a>
                        </td>
                        <td><strong>@{{ song.type }}</strong></td>
                        <td>
                            <a class="btn btn-info" ng-show="song.href" href="@{{ song.href }}" target="_blank" tooltip="Link"><i class="fa fa-link"></i></a>
                            <button ng-show="!song.href" disabled class="btn btn-info" tooltip="Link"><i class="fa fa-link"></i></button>

                            <button ng-disabled="!song.href" class="btn btn-warning" ng-click="editFormScraper(song)" tooltip="Edit"><i class="fa fa-pencil"></i></button>
                            <button ng-disabled="!song.href || song.onrequest" class="btn" ng-class="song.exists ? 'btn-success' : 'btn-danger'" ng-click="saveFormScraper(song, scrappaging.current)" tooltip="Auto Save">
                                <i class="fa" ng-class="song.onrequest ? 'fa-spinner fa-spin' : 'fa-save'"></i>
                            </button>
                        </td>
                    </tr>
                    <tr ng-if="scrapsongs[scrappaging.current].length == 0">
                        <td colspan="5" align="center">No result Found</td>
                    </tr>
                </tbody>

            </table>

        </div>

        <div class="clearfix"></div>
        <ul class="pagination pagination-sm no-margin pull-right" ng-if="scrappaging.count > 0">
            <li ng-class="{'active' : ($index + 1) == scrappaging.current}" ng-repeat="n in [].constructor(scrappaging.count) track by $index">
                <a href="{{ JS_VOID }}"  ng-click="getMultiScrap($index + 1)">@{{ $index + 1 }}</a>
            </li>
        </ul>

    </div>
    
</div>