<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<head>
    <title>{{ @$settings_general['name'] ?: SITE_NAME }}</title>
    <style type="text/css">
    	body{
		  background-color: #E6E6E6;
		  font-family: Helvetica, Arial, sans-serif;
		  font-size: 10pt;
		  padding-top: 50px;
		  text-align: left;
		}
		a { 
		  color: #666;
		  text-decoration: none;
		}
		a:hover {
		  text-decoration: underline;
		}
		.container {
		  margin: auto;
		  max-width: 540px;
		  min-width: 200px;
		}
		.box hr {
		  diplay: block;
		  border: none;
		  border-bottom: 1px dashed #ccc;
		}
		.box {
		  background-color: #fbfbfb;
		  border: 1px solid #AAA;
		  border-bottom: 1px solid #888;
		  border-radius: 3px;
		  color: black;
		  box-shadow: 0px 2px 2px #AAA;
		  padding: 20px;
		}
		.box h1, .box h2 {
		  display: block;
		  text-align: center;
		}
		.box h1 {
		  color: #666;
		  font-weight: normal;
		  font-size: 50px;
		  padding: 0;
		  margin: 0;
		  margin-top: 10px;
		  line-height:50px
		}
		.box h2 {
		  color: #666;
		  font-weight: normal;
		  font-size: 1.5em;
		}
		.box p {
		  display: block;
		  margin-bottom: 10px;
		}
		.box ul li {
		  margin-bottom: 7px;
		}

		/**** Copyright Information ****/
		.copyright {
		  display: block;
		  text-align: center;
		  color: #999;
		  font-weight: normal;
		  margin-top: 20px;
		}
    </style>
</head>

<body>

	<div class="container">
	    <div class="box">
			@yield('content')
		</div>
	</div>

	<div class="copyright">
	    Copyright &copy; 2017 <a href="{{ route(ROUTE_FRONT_HOME_INDEX) }}">{{ @$settings_general['name'] ?: SITE_NAME }}</a>. All Rights Reserved.
	</div>

</body>
</html>