
###*
# Category Controller
# @class Controller
###

window.Cms.SettingApp.controller "SettingController",
[
    '$scope'
    '$window'
    '$timeout'
    'routeApi'
    (
        $scope
        $window
        $timeout
        $routeapi
    ) ->

        class SettingController

            constructor : () ->

                $scope.loading = true
                $scope.error   = {}
                $scope.forms   = []

                @getdetails()

                return

            getdetails : () ->

                data = 
                    type : $window.Vars.PageLoad
                    _id  : $str_random()

                $routeapi.send $window.Routes.GetSettings, data, 'POST'
                .then ( response ) ->
                    $scope.forms   = response.data
                    $scope.loading = false

            ###*
            #
            # @return submit
            ###
            $scope.submit = () ->

                data = 
                    forms : $scope.forms
                url  = $window.Routes.UpdateSettings

                $scope.onsubmit = true

                $routeapi.send url, data, 'POST'
                .then ( response ) ->

                    _data = response.data
                    $scope.onsubmit = false
                    $scope.onsuccess = true

                    return

                return

        new SettingController()

]