###*
# User App
# Login Controller
#
# @class UserApp
# @author Rynelle Coronacion <dev.rynelle@gmail.com>
###


window.Cms.UserApp.controller "LoginController",
[
    '$scope'
    'routeApi'
    '$timeout'
    '$window'

    (
        $scope
        $routeapi
        $timeout
        $window
    ) ->

        class LoginController
            
            constructor : () ->
                @vars()
                $scope.removeAuthMsg()

                return

            vars : () ->
                $scope.error =
                    status  : false
                    message : null

                $scope.user = 
                    identity   : ''
                    password   : ''
                    rememberme : false

                return

            ###*
            #
            # @return authLogin
            ###
            $scope.removeAuthMsg = () ->
                $scope.auth = 
                    show    : false
                    message : ''

                return

            ###*
            #
            # @return authLogin
            ###
            $scope.authLogin = () ->

                data = $scope.user
                url  = $window.Routes.AuthLogin

                $scope.loading = true

                $routeapi.send url, data, 'POST'
                .then ( response ) ->

                    _data = response.data

                    if response.status is 200

                        if _data?.success is false
                            $scope.error.status  = true
                            $scope.error.message = _data.error
                            $scope.loading  = false
                        else 
                          $redirect $window.Routes.RedirectToCms

                    return

                return

        new LoginController()

]