
###*
# iCheckDirective
# @class Directive
###

angular.module('content-loader',[]).directive "contentLoader", [ ($rootScope) ->

    restrict : "A"

    link: ($scope, $element, $attrs) ->

        attr_id   = $attrs.contentLoader

        _template = """
            <div class="content-loader" id="__#{attr_id}">
                <div class="content-loader-block"></div>
                <div class="content-loader-spinner">
                    <i class="fa fa-spinner fa-spin"></i>
                    <div>Please wait...</div>
                </div>
            </div>
        """

        $element.css 'position', 'relative'
        $element.append _template

        $scope.$watch attr_id, (isShow) ->
            _el = angular.element('#__' + attr_id)
            if isShow is false
                _el.fadeOut()
            else
                _el.show()

        return
]