@extends('theme::layouts.master')

@section('content')

	{{--*/ 
			$route_page = ( @$is_artist ) ? ROUTE_FRONT_ARTISTS_INDEX : ROUTE_FRONT_CHORDS_INDEX;
			$label_page = ( @$is_artist ) ? 'artists' : 'chords';
	/*--}}
	@include($partial_path . 'search', [ 'route' => $route_page, 'label' => $label_page, 'ishome' => false ])

	<div class="container-content">
		
		<div class="row">
			<div class="col-md-8 col-lg-8">

				<div class="page-title">
					@if ( @$is_artist ) 

						<div class="artist-details-container">
							@if ( @$artist->image )
								<div class="artist-img">
									<img src="{{ $artist->image }}" class="img-responsive">
								</div>
							@endif

							<div class="artist-detail">
								<div class="title">{{ $artist->name }}</div>
								<div class="details">
									<ul>
										<li><span>Chords &amp; Tabs:</span> {{ $artist->songs->count() }}</li>
										@if ( $artist->description )
											{{--*/
												$artist_details = json_decode($artist->description, true);
											/*--}}
											@foreach( $artist_details as $artist_detail )
												<li><span>{{ $artist_detail['name'] }}:</span> {{ $artist_detail['value'] }}</li>
											@endforeach
										@endif

									</ul>
								</div>
							</div>

							<div class="clearfix"></div>
						</div>

					@else
						<i class="fa fa-music"></i> Chords &amp; Tabs
					@endif

				</div>
				
				<!-- Your Ad Here -->
				@include($partial_path . 'ad-728x90')

				@include($view_path . 'partials.content')

			</div>
			<div class="col-md-4 col-lg-4">
				@include($partial_path . 'side-social')

				@include($view_path . 'partials.side')

				@include($partial_path . 'ad-336x280')
			</div>
		</div>

	</div>
    

@endsection