<div class="container-search">

	<form action="{{ route($route) }}" method="get" class="form-search">

		<div class="form-field">
			@if ( $ishome )
				<select class="select" name="searchin">
					<option value="chords">Chords</option>
					<option value="artists">Artists</option>
				</select>
			@endif
			<input type="search" class="input-search" name="s" placeholder="What {{ $label }} are you looking for?" value="{{ @$input['search'] }}">
			<input type="submit" class="input-submit" value="Search">
		</div>

		<div class="field-alpha">
			<ul>
				<li><a href="{{ route($route) }}"><i class="fa fa-angle-right"></i></a></li>
				<li><a href="{{ route($route) }}?l=0-9&sort={{ $sortby ?: 'newest' }}">#</a></li>	
				@foreach( range('A', 'Z') as $letter )
					<li><a href="{{ route($route) }}?l={{ strtolower($letter) }}&sort={{ $sortby ?: 'newest' }}">{{ $letter }}</a></li>						
				@endforeach
			</ul>
		</div>

	</form>

</div>