<?php

namespace Front\Statics;

/**
 * StaticController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Front\FrontBaseController;

use Input;

class StaticController extends FrontBaseController {

	public $view_path = 'static';

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getAbout()
	{
		$data['pagetitle'] = 'About Us';
		return $this->view('about')->with($data);
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getTerms()
	{
		$data['pagetitle'] = "Terms Of Service";
		return $this->view('terms')->with($data);
	}


}