<?php

namespace Models\Chords;

/**
 * Type Class
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Model\Base\BaseModel;

use Traits\HashIdTrait;
use Eloquent;

class Type extends BaseModel  {

    use HashIdTrait;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table    = 'types';
    
    protected $appends  = ['hash_id'];

    protected $fillable = [
        'name',
        'slug',
    ];

}