<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{ $settigs_general['name'] }}</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <link rel="shortcut icon" href="{{ $settigs_general['icon'] }}">

  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="{{ build_asset('cms/css/vendor-login.css') }}">
  <!-- Common Style -->
  <link rel="stylesheet" href="{{ build_asset('cms/css/app.css') }}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
  <!--Custom Stylesheet -->
  @yield('css')
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>
<body class="hold-transition login-page">

@yield('content')

  <!-- Vendor Login -->
<script src="{{ build_asset('cms/js/vendor-login.js') }}"></script>
  <!-- Angular -->
<script src="{{ build_asset('cms/js/ng-vendor.js') }}"></script>
  <!-- CSRF TOKEN -->
<script>window.csrf = '{{ csrf_token() }}'</script>
  <!-- Angular Common JS -->
<script src="{{ build_asset('cms/js/ng-common.js') }}"></script>
<!--Custom JSScript -->
@yield('js')

</body>
</html>
