
<div ng-show="display == 'lists'">

    <div class="box-header with-border">
        <h3 class="box-title mar-top mar-8">Collections</h3>
        <button class="btn btn-success pull-right" ng-click="addEditform()">
            <i class="fa fa-plus"></i> Add New Artist
        </button>
    </div>
    <!-- /.box-header -->
    
    <div class="box-body min-height">

	    <div class="row">
	    	<div class="col-xs-12 col-sm-8">
		    	<div class="input-group">
		            <span class="input-group-addon"><i class="fa fa-search"></i></span>
		            <input type="text" class="form-control" placeholder="Artist Name" ng-model="search">
		            <span class="input-group-btn">
		              	<button type="button" class="btn btn-primary" style="height: 34px;" ng-click="getCollection(1)">
		              		<i class="fa fa-search"></i> Search
		              	</button>
		            </span>
		        </div>
	    	</div>
	    </div>

		<div class="table-responsive mar-top">
			<table class="table table-bordered table-hover">
			    <thead>
			        <tr>
			            <th width="10">#</th>
			            <th width="60"></th>
			            <th>Name</th>
			            <th width="90">Action</th>
			        </tr>
			    </thead>
			    <tbody>
			        <tr ng-repeat="artist in artists track by $index">
			            <td>@{{ $index + 1 }}.</td>
			            <td align="center">
			            	<img src="@{{ artist.image }}" style="max-width: 50px;">
			            </td>
			            <td valign="middle">
			            	<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG) }}/@{{ artist.slug }}" target="_blank">
			            		@{{ artist.name }}
			            	</a>
			            </td>
			            <td>
			            	<button class="btn btn-success" ng-click="addEditform(artist)" tooltip="Edit">
			            		<i class="fa fa-pencil"></i>
			            	</button>
			            	<button class="btn btn-danger" ng-click="delete(artist)" tooltip="Delete">
			            		<i class="fa fa-trash"></i>
			            	</button>
			            </td>
			        </tr>
			    </tbody>
			</table>

		</div>

    </div>
    <!-- /.box-body -->

    <div class="box-footer clearfix">
    	<div class="pull-right">
	        <pagination ng-if="pagination.total > pagination.max"
	                    total-items="pagination.total"
	                    items-per-page="30"
	                    rotate="false"
	                    ng-model="pagination.current"
	                    ng-change="pageChanged()"
	                    max-size="pagination.max"
	                    class="pagination-sm"
	                    boundary-links="true"
	                    force-ellipses="true"
	                    ></pagination>
    	</div>
    </div>
    <!-- /.box-footer -->
</div>