<div class="clearfix"></div>
<div class="container-uploader full-width" id="div-uploader">
   <div class="uploader mar-bottom mar-0">
        <div class="drop-zone"
             ngf-drop
             ngf-select
             ng-model="files" 
             class="drop-box" 
             ngf-drag-over-class="'dragover'" 
             ngf-multiple="false"
             accept="image/*" 
             ngf-allow-dir="false"
             ngf-keep="true">
             
            <div class="content" style="@{{ files.length > 0 ? 'margin-top:0px !important;' : ''; }}">
                <div ng-if="files.length == 0">
                    <div>Artist Picture</div>
                    <div class="btn-browse">
                        Browse
                        <input id="fileuploader" ngf-select ng-model="files" ngf-multiple="false" class="btn btn-info input-uploader" type="file" >
                    </div>
                </div>
                <div class="image-uploaded-container" ng-if="files.length > 0">
                    <ul class="image-files">
                        <li ng-repeat="file in files track by $index" ng-if="file.name.length > 0" ng-show="$last"> 
                            <div class="image-center-vh thumb">
                                <img alt="" ngf-thumbnail="file" ngf-as-background="boolean" ngf-size="{quality: 0.9}" ng-if="!file.exist"/>
                                <img alt="" ngf-thumbnail="file.thumb" ngf-as-background="boolean" ngf-size="{quality: 0.9}" ng-if="file.exist"/>
                                <div class="menu-options">
                                    <button class="btn btn-info btn-circle" type="button"><i class="fa fa-pencil"></i></button>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>

            </div>

        </div>
        <div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
        <div class="text-danger">
            <div ng-repeat="error in errors">
                <div><small>&bull; @{{ error }} is invalid ttf font.</small></div>
            </div>
        </div>
    </div>

    <div class="text-center">
        <label class="control-label mar-top 5-mar">or</label>
        <div class="text-left"><small>Paste your external link here:</small></div>
        <input type="text" class="form-control" placeholder="External Link" ng-model="form.url" ng-disabled="files.length > 0">
        <small class="text-danger" ng-show="error.url" ng-cloak>@{{ error.url }}</small>
    </div>

</div>

<div class="clearfix"></div>