
<div>
    
    <div class="box-body min-height">

	    <div class="row">
	    	<div class="col-xs-12 col-sm-8">
		    	<div class="input-group">
		            <span class="input-group-addon"><i class="fa fa-search"></i></span>
		            <input type="text" class="form-control" placeholder="Search..." ng-model="search">
		            <span class="input-group-btn">
		              	<button type="button" class="btn btn-primary" style="height: 34px;" ng-click="getCollection(1)">
		              		<i class="fa fa-search"></i> Search
		              	</button>
		            </span>
		        </div>
	    	</div>
	    	<div class="col-xs-12 col-sm-4">
		    	<button class="btn btn-success pull-right" style="height: 34px;" ng-click="addEditform()">
		            <i class="fa fa-plus"></i> Add New Song
		        </button>
	    	</div>
	    </div>

		<div class="table-responsive mar-top">
			<table class="table table-bordered table-hover">
			    <thead>
			        <tr>
			            <th width="10">#</th>
			            <th>Title</th>
			            <th>Artist</th>
			            <th>Difficulty</th>
			            <th>Type</th>
			            <th width="125">Action</th>
			        </tr>
			    </thead>
			    <tbody>
			        <tr ng-repeat="song in songs track by $index">
			            <td>@{{ $index + 1 }}.</td>
			            <td>
			            	<a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG) }}/@{{ song.artist.slug }}/@{{ song.slug }}" target="_blank">@{{ song.title }}</a>
			            </td>
			            <td>@{{ song.artist.name }}</td>
			            <td>@{{ song.difficulty | difficulty }}</td>
			            <td><strong>@{{ song.type.name }}</strong></td>
			            <td>
			            	<button class="btn btn-success" ng-click="addEditform(song)" tooltip="Edit">
			            		<i class="fa fa-pencil"></i>
			            	</button>
			            	<button class="btn btn-danger" ng-click="delete(song)" tooltip="Delete">
			            		<i class="fa fa-trash"></i>
			            	</button>
			            	<a class="btn btn-info" href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG) }}/@{{ song.artist.slug }}/@{{ song.slug }}" target="_blank" tooltip="Link">
			            		<i class="fa fa-link"></i>
			            	</a>
			            </td>
			        </tr>
			    </tbody>
			</table>

		</div>

    </div>
    <!-- /.box-body -->

    <div class="box-footer clearfix">
    	<div class="pull-right">
	        <pagination ng-if="pagination.total > pagination.max"
	                    total-items="pagination.total"
	                    items-per-page="30"
	                    rotate="false"
	                    ng-model="pagination.current"
	                    ng-change="pageChanged()"
	                    max-size="pagination.max"
	                    class="pagination-sm"
	                    boundary-links="true"
	                    force-ellipses="true"
	                    ></pagination>
    	</div>
    </div>
    <!-- /.box-footer -->
</div>