
<!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar">

    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">

        <!-- Sidebar user panel (optional) -->
        <div class="user-panel">
            <div class="pull-left image">
                <img src="{{ $admininfo['avatar'] }}" class="img-circle" alt="User Image">
            </div>
            <div class="pull-left info">
                <p>{{ $admininfo['firstname'] }}</p>
                <!-- Status -->
                <a href="{{ JS_VOID }}"><i class="fa fa-lock text-success"></i> {{ $admininfo['group'] }}</a>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <ul class="sidebar-menu">
            <li class="header">MAIN MENU</li>

            <li class="{{ url_active(ROUTE_CMS_DASHBOARD_INDEX) }}">
                <a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}">
                    <i class="fa fa-dashboard"></i> <span>Dashboard</span>
                </a>
            </li>

            <li class="{{ url_active(ROUTE_CMS_SONG_INDEX) }}">
                <a href="{{ route(ROUTE_CMS_SONG_INDEX) }}">
                    <i class="fa fa-music"></i> <span>Chords & Tabs</span>
                </a>
            </li>
            
            <li class="{{ url_active(ROUTE_CMS_ARTIST_INDEX) }}">
                <a href="{{ route(ROUTE_CMS_ARTIST_INDEX) }}">
                    <i class="fa fa-microphone"></i> <span>Artists</span>
                </a>
            </li>

            <li class="treeview {{ url_active([ ROUTE_CMS_SETTING_INDEX, ROUTE_CMS_SETTING_GENERALS, ROUTE_CMS_SETTING_SOCIAL, ROUTE_CMS_SETTING_COMMENT_PLUGINS, ROUTE_CMS_SETTING_GOOGLE_ANALYTICS ]) }}">
                <a href="{{ JS_VOID }}"><i class="fa fa-cog"></i> <span>Site Settings</span>
                    <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ url_active(ROUTE_CMS_SETTING_GENERALS) }}"><a href="{{ route(ROUTE_CMS_SETTING_GENERALS) }}"><i class="fa fa-circle-o"></i> General</a></li>
                    <li class="{{ url_active(ROUTE_CMS_SETTING_SOCIAL) }}"><a href="{{ route(ROUTE_CMS_SETTING_SOCIAL) }}"><i class="fa fa-circle-o"></i> Social Network</a></li>
                    <li class="{{ url_active(ROUTE_CMS_SETTING_COMMENT_PLUGINS) }}"><a href="{{ route(ROUTE_CMS_SETTING_COMMENT_PLUGINS) }}"><i class="fa fa-circle-o"></i> Comment Plugins</a></li>
                    <li class="{{ url_active(ROUTE_CMS_SETTING_GOOGLE_ANALYTICS) }}"><a href="{{ route(ROUTE_CMS_SETTING_GOOGLE_ANALYTICS) }}"><i class="fa fa-circle-o"></i> Google Analytics</a></li>
                </ul>
            </li>

            <li class="treeview {{ url_active([ ROUTE_CMS_PROFILE_INDEX ]) }}">
                <a href="{{ JS_VOID }}"><i class="fa fa-user"></i> <span>User Management</span>
                    <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ url_active(ROUTE_CMS_PROFILE_INDEX) }}">
                        <a href="{{ route(ROUTE_CMS_PROFILE_INDEX) }}"><i class="fa fa-user"></i> <span>My Profile</span></a>
                    </li>
                </ul>
            </li>
            <li class="header"></li>
            <li class="{{ url_active(ROUTE_USER_LOGOUT) }}">
                <a href="{{ route(ROUTE_USER_LOGOUT) }}" style="background: #ececec;"><i class="fa fa-sign-out text-red"></i> <span>Sign Out</span></a>
            </li>

        </ul>
        <!-- /.sidebar-menu -->
    </section>
    <!-- /.sidebar -->
</aside>