
###*
# iCheckDirective
# @class Directive
###

angular.module('icheck',[]).directive 'icheck', [ '$timeout', ($timeout) ->
    {
        restrict : "A"
        require  : 'ngModel'
        link     : ($scope, element, $attrs, ngModel) ->
            $timeout ->
                value    = $attrs.value
                $element = $(element)
                # Instantiate the iCheck control.                            
                $element.iCheck
                    checkboxClass: 'icheckbox_square-blue'
                    radioClass: 'iradio_square-blue'
                    increaseArea: '20%'
                # If the model changes, update the iCheck control.
                $scope.$watch $attrs.ngModel, (newValue) ->
                    $element.iCheck 'update'
                return
                # If the iCheck control changes, update the model.
                $element.on 'ifChanged', (event) ->
                    if $element.attr('type') == 'radio' and $attrs.ngModel
                        $scope.$apply ->
                            ngModel.$setViewValue value
                            return
                    return
                    
                return

    }
]