###*
# Enable multi-select for select option using bootstrap multiselect.
# multi-select-directive
#
# @class MultiSelectDirective Directives
# @package AngularModules
# @author Anthony Pillos <dev.anthonypillos@gmail.com>
###

# TODO::::::
# DONT EDIT THIS ONE
# FOR ORDER LISTS ONLY IN BACKEND..
# Need to Change Later
angular.module('MultiSelectDirective',[])

.directive "multiSelectDirective", ['$rootScope','$timeout', ($rootScope,$timeout) ->

    restrict: "A"
    scope:
        listenOnChange: "@"
    link: (scope, element, attrs) ->
        params =
            nonSelectedText: attrs.msSelectedText || 'Please Select Options'
            includeSelectAllOption: attrs.msShowSelectAll || false
            # selectAllValue: "all"
            enableFiltering : attrs.enableSearch || true
            buttonWidth : '100%'
            maxHeight   : attrs.msHeight
            templates   :
                filter  : """
                    <li class="multiselect-item filter"><div class="input-group"><input class="form-control multiselect-search" type="text"></div></li>
                """,
                li      : """
                    <li><a><label class="form-checkbox form-normal form-primary form-text"></label></a></li>
                """,

            onChange: (element, checked,select) ->
                findById = $(element).val()
                $rootScope.$emit scope.listenOnChange,findById,checked

        $timeout ->
            element.multiselect params

]