###*
# ContactApp
# Contact Controller
#
# @class UserApp
# @author Rynelle Coronacion <dev.rynelle@gmail.com>
###

window.Front.ContactApp.controller "ContactController",
[
    '$scope'
    '$window'
    'routeApi'
    '$q'
    '$timeout'
    (
        $scope
        $window
        $routeapi
        $q
        $timeout
    ) ->

        class ContactController
            
            constructor : () ->

                $scope.form =
                    name    : ''
                    email   : ''
                    message : ''

                $scope.sendloading    = false
                $scope.thankyouprompt = false

            $scope.send = () ->

                $scope.sendloading  = true

                $routeapi.send $window.Routes.Send, $scope.form, 'POST'
                .then ( response ) ->
                    _data = response.data

                    if _data?.success is false
                        $scope.validate = _data.errors
                    else 
                        $scope.thankyouprompt = true
                        $timeout ->
                            $scope.thankyouprompt = false
                        , 3000

                    $scope.sendloading  = false

                    return
                    
                return

        new ContactController()

]